using PageAdmin.BLL;
using PageAdmin.Common;using PageAdmin.ORM;using PageAdmin.Utils;

namespace PageAdmin.Web.Areas.Admin.Controllers
{
    public class AttachmentTableController:DefaultBaseController
    {
        public AttachmentTableController():base("pa_attachment_table", "System/Table/")
        {
            base.DeleteExecuting= DeleteTable;
        }


        /// <summary>
        /// 删除无效的附件表
        /// </summary>
        private void DeleteTable()
        {
            int id = StringHelper.Format<int>(Request.Form["id"]);
            AttachmentTableBLL attachmentTableBLL = new AttachmentTableBLL();
            attachmentTableBLL.Delete(id, base.MvcContext.TipsInfo);
        }
    }
}
